k_variable {keras} | R Documentation

## Instantiates a variable and returns it.

### Description

Instantiates a variable and returns it.

### Usage

    k_variable(value, dtype = NULL, name = NULL, constraint = NULL)

### Arguments

`value` | Numpy array, initial value of the tensor.
`dtype` | Tensor type.
`name` | Optional name string for the tensor.
`constraint` | Optional projection function to be applied to the variable after an optimizer update.

### Value

A variable instance (with Keras metadata included).

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]